/**@stdcc_linktypes.hh
 *
 * Defines data links for standard C++ types
 *
 */

#ifndef STDCC_LINKTYPES_HH
#define STDCC_LINKTYPES_HH

#include "behavior/behavior.hh"
#include <string>

using namespace EyeMind;
using namespace std;

class StringLink : public SignalLink
{
private:
	string s;

public:
	StringLink();

	virtual bool Update();

	void String(string str);
	void String(char c);
	string String();
};


#endif // STDCC_LINKTYPES_HH
